package cn.hmsoft.hmplatform.wxtoken.data.model;

import java.io.Serializable;
import java.time.LocalDateTime;

import cn.hmsoft.jdbc.entity.Table;

/**********************************************
* 微信公众号部署地址
* @author: zxq
* @date: 2020-05-02 17:39:12
* @version: 2.0.0
* @email: revisit@126.com
* @Company: www.hmsoft.cn
*/
@Table(tableName = "P_WX_DEPLOY", keyColumn =  "DEPLOY_ID" , sequenceName = "DEPLOY_ID")
public class PWxDeploy implements Serializable{
	private static final long serialVersionUID = 1736965632538061498L;
	private Integer deploy_id;
	private Integer token_id;
	//互联网访问地址
	private String internet_addr;
	//部署地址，唯一
	private String deploy_addr;
	//最后请求时间
	private LocalDateTime request_time;
	//最后成功通知时间
	private LocalDateTime notice_time;

	public Integer getDeploy_id() {
		return this.deploy_id;
	}

	public void setDeploy_id(Integer deploy_id) {
		this.deploy_id = deploy_id;
	}

	public Integer getToken_id() {
		return this.token_id;
	}

	public void setToken_id(Integer token_id) {
		this.token_id = token_id;
	}

	/****
	 * 互联网访问地址
	 */
	public String getInternet_addr() {
		return this.internet_addr;
	}

	/****
	 * 互联网访问地址
	 */
	public void setInternet_addr(String internet_addr) {
		this.internet_addr = internet_addr;
	}

	/****
	 * 部署地址，唯一
	 */
	public String getDeploy_addr() {
		return this.deploy_addr;
	}

	/****
	 * 部署地址，唯一
	 */
	public void setDeploy_addr(String deploy_addr) {
		this.deploy_addr = deploy_addr;
	}

	/****
	 * 最后请求时间
	 */
	public LocalDateTime getRequest_time() {
		return this.request_time;
	}

	/****
	 * 最后请求时间
	 */
	public void setRequest_time(LocalDateTime request_time) {
		this.request_time = request_time;
	}

	/****
	 * 最后成功通知时间
	 */
	public LocalDateTime getNotice_time() {
		return this.notice_time;
	}

	/****
	 * 最后成功通知时间
	 */
	public void setNotice_time(LocalDateTime notice_time) {
		this.notice_time = notice_time;
	}
}